[arch-commits] CVS update of arch/build/lib/libdatrie (PKGBUILD)

Jan de Groot jgc at archlinux.org
Fri Apr 27 12:58:35 EDT 2007


    Date: Friday, April 27, 2007 @ 12:58:35
  Author: jgc
    Path: /home/cvs-arch/arch/build/lib/libdatrie

   Added: PKGBUILD (1.1)

upgpkg: libdatrie 0.1.1-1
Add as dependency for libthai


----------+
 PKGBUILD |   22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)


Index: arch/build/lib/libdatrie/PKGBUILD
diff -u /dev/null arch/build/lib/libdatrie/PKGBUILD:1.1
--- /dev/null	Fri Apr 27 12:58:35 2007
+++ arch/build/lib/libdatrie/PKGBUILD	Fri Apr 27 12:58:34 2007
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD,v 1.1 2007/04/27 16:58:34 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+# Contributor: Chaiwat Suttipongsakul <cwt114 at gmail.com>
+
+pkgname=libdatrie
+pkgver=0.1.1
+pkgrel=1
+pkgdesc="Libdatrie is an implementation of double-array structure for representing trie, as proposed by Junichi Aoe."
+url="http://linux.thai.net/~thep/datrie/datrie.html"
+license=('LGPL')
+arch=('i686' 'x86_64')
+depends=('glibc')
+options=('nolibtool')
+source=(http://linux.thai.net/pub/thailinux/software/libthai/${pkgname}-${pkgver}.tar.gz)
+md5sums=('6beadd556169aa58c9210c713d139229')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --disable-static
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+}




More information about the arch-commits mailing list